﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TelpoPush.WanJiaAn.Worker.Models.MqTemplates
{
    public class MqAlarmEventTemplate
    {
        public AlarmEvent alarm_event { get; set; }
    }

    public class AlarmEvent
    {
        public string event_id { get; set; } //事件唯一ID,用于区分不同事件。每次均上报
        public string event_start { get; set; }//事件开始时间,秒级时间戳。每次均上报
        public string event_end { get; set; }  //事件结束时间,秒级时间戳。每次均上报,event_type=2时值为””(空串)
        public int event_type { get; set; } //2:哭声检测;52:遮脸提醒
        public string image { get; set; } //事件图片URL地址。event_type=3时上报
        public int report_type { get; set; } //1:事件开始，2:事件结束，3:资源上报(图片或者图片+视频)
        public string url { get; set; }//视频首片URL地址。event_type=3时上报
        public string video_start { get; set; } //视频开始时间, 秒级时间戳。event_type=3时上报
        public string video_end { get; set; }//视频结束时间, 秒级时间戳。event_type=3时上报
    }
}
