﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TelpoPush.WanJiaAn.Worker.Models.PushTemplates
{
    public class PushWanJiaAnTemplate
    {

        /// <summary>
        /// 服务跟踪Id
        /// </summary>
        public string MessageId { get; set; }

        /// <summary>
        /// 海拔
        /// </summary>
        public double Altitude { get; set; }

        /// <summary>
        /// 定位类型
        /// </summary>
        public int LocationType { get; set; }
        /// <summary>
        /// 设备IMEI
        /// </summary>
        public string Imei { get; set; }

        /// <summary>
        /// 时间
        /// yyyy-MM-dd HH:mm:ss
        /// </summary>
        public string Time { get; set; }

        /// <summary>
        /// 原始纬度
        /// </summary>
        public decimal OriginalLatitude { get; set; }

        /// <summary>
        /// 原始经度
        /// </summary>
        public decimal OriginalLongitude { get; set; }

        /// <summary>
        /// 百度地图纬度
        /// </summary>
        public decimal BaiduLatitude { get; set; }

        /// <summary>
        /// 百度地图经度
        /// </summary>
        public decimal BaiduLongitude { get; set; }

        /// <summary>
        /// 高德地图纬度
        /// </summary>
        public decimal GaodeLatitude { get; set; }

        /// <summary>
        /// 高德地图经度
        /// </summary>
        public decimal GaodeLongitude { get; set; }

        /// <summary>
        /// 地址
        /// </summary>
        public string Address { get; set; }
        public string wifiMacs { get; set; }
    }
}
